Skip to content

Dispute before `executable_at` (owner of the subscription only)

POST
/v1/slashes/{evidence_hash}/disputes
curl --request POST \
--url https://testnet-rpc.necter.network/v1/slashes/example/disputes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "reason": "example", "links": [ "https://example.com" ] }'
evidence_hash
required
string
/^0x[0-9a-f]{64}$/
Media typeapplication/json
object
reason
required
string
<= 4000 characters
links
Array<string>
<= 5 items

Example generated

{
"reason": "example",
"links": [
"https://example.com"
]
}

Filed

Media typeapplication/json
object
evidence_hash
required
string
/^0x[0-9a-f]{64}$/
kind
required
string
Allowed values: invalid_result equivocation missed_sla
project_id
required
string
/^0x[0-9a-f]{64}$/
subscription_id
required
string
/^0x[0-9a-f]{64}$/
node_id
required
string
/^ndsr-[0-9a-f]{16}$/
round_id
string
bp
integer
amount

Token base units

string
/^(0|[1-9][0-9]{0,77})$/
status
required
string
Allowed values: recorded proposed disputed cancelled executed
propose_tx
One of:
string
/^0x[0-9a-f]{64}$/
executable_at
One of:
integer
dispute
One of:
null
recovery
string | null
created_at
required
integer

Example

{
"kind": "invalid_result",
"status": "recorded",
"dispute": {
"outcome": "cancelled"
}
}

Authenticated but not allowed (forbidden, not_owner, not_enrolled, not_verified, scope_missing)

Media typeapplication/json
object
error
required

Stable machine code

string
message
required
string
details
object
key
additional properties
any
request_id
required
string

Example generated

{
"error": "example",
"message": "example",
"details": {},
"request_id": "example"
}

conflict, duplicate, already_exists, invalid_state

Media typeapplication/json
object
error
required

Stable machine code

string
message
required
string
details
object
key
additional properties
any
request_id
required
string

Example generated

{
"error": "example",
"message": "example",
"details": {},
"request_id": "example"
}